Patch origin: in-house
Patch status: Solaris-specific; not suitable for upstream

Solaris specific documentation changes.

--- doc/tshark.pod
+++ doc/tshark.pod
@@ -478,9 +478,9 @@
 
 Network interface names should match one of the names listed in
 "B<tshark -D>" (described above); a number, as reported by
-"B<tshark -D>", can also be used.  If you're using UNIX, "B<netstat
--i>" or "B<ifconfig -a>" might also work to list interface names,
-although not all versions of UNIX support the B<-a> option to B<ifconfig>.
+"B<tshark -D>", can also be used.  On Solaris, all network interfaces
+that are displayed with the command "dladm show-link" or "ipadm show-if"
+can be used with the "-i" command line option.
 
 If no interface is specified, B<TShark> searches the list of
 interfaces, choosing the first non-loopback interface if there are any
@@ -1469,7 +1469,7 @@
 
 =head1 CAPTURE FILTER SYNTAX
 
-See the manual page of pcap-filter(7) or, if that doesn't exist, tcpdump(8),
+See the manual page of pcap-filter(5) or, if that doesn't exist, tcpdump(1),
 or, if that doesn't exist, L<http://wiki.wireshark.org/CaptureFilters>.
 
 =head1 READ FILTER SYNTAX
@@ -1756,7 +1756,7 @@
 =head1 SEE ALSO
 
 wireshark-filter(4), wireshark(1), editcap(1), pcap(3), dumpcap(1),
-text2pcap(1), mergecap(1), pcap-filter(7) or tcpdump(8)
+text2pcap(1), mergecap(1), pcap-filter(5) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/wireshark.pod.template
+++ doc/wireshark.pod.template
@@ -363,9 +363,9 @@
 
 Network interface names should match one of the names listed in
 "B<wireshark -D>" (described above); a number, as reported by
-"B<wireshark -D>", can also be used.  If you're using UNIX, "B<netstat
--i>" or "B<ifconfig -a>" might also work to list interface names,
-although not all versions of UNIX support the B<-a> flag to B<ifconfig>.
+"B<wireshark -D>", can also be used.  On Solaris, all network interfaces
+that are displayed with the command "dladm show-link" or "ipadm show-if"
+can be used with the "-i" command line option.
 
 If no interface is specified, B<Wireshark> searches the list of
 interfaces, choosing the first non-loopback interface if there are any
@@ -2476,7 +2476,7 @@
 
 =head1 CAPTURE FILTER SYNTAX
 
-See the manual page of pcap-filter(7) or, if that doesn't exist, tcpdump(8),
+See the manual page of pcap-filter(5) or, if that doesn't exist, tcpdump(1),
 or, if that doesn't exist, L<http://wiki.wireshark.org/CaptureFilters>.
 
 =head1 DISPLAY FILTER SYNTAX
@@ -2874,7 +2874,7 @@
 =head1 SEE ALSO
 
 wireshark-filter(4), tshark(1), editcap(1), pcap(3), dumpcap(1), mergecap(1),
-text2pcap(1), pcap-filter(7) or tcpdump(8)
+text2pcap(1), pcap-filter(5) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/capinfos.pod
+++ doc/capinfos.pod
@@ -332,7 +332,7 @@
 =head1 SEE ALSO
 
 pcap(3), wireshark(1), mergecap(1), editcap(1), tshark(1),
-dumpcap(1), pcap-filter(7) or tcpdump(8)
+dumpcap(1), pcap-filter(5) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/dumpcap.pod
+++ doc/dumpcap.pod
@@ -349,13 +349,13 @@
 
 =head1 CAPTURE FILTER SYNTAX
 
-See the manual page of pcap-filter(7) or, if that doesn't exist, tcpdump(8),
+See the manual page of pcap-filter(5) or, if that doesn't exist, tcpdump(1),
 or, if that doesn't exist, L<http://wiki.wireshark.org/CaptureFilters>.
 
 =head1 SEE ALSO
 
 wireshark(1), tshark(1), editcap(1), mergecap(1), capinfos(1), pcap(3),
-pcap-filter(7) or tcpdump(8)
+pcap-filter(5) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/editcap.pod
+++ doc/editcap.pod
@@ -380,7 +380,7 @@
 =head1 SEE ALSO
 
 pcap(3), wireshark(1), tshark(1), mergecap(1), dumpcap(1), capinfos(1),
-text2pcap(1), od(1), pcap-filter(7) or tcpdump(8)
+text2pcap(1), od(1), pcap-filter(5) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/mergecap.pod
+++ doc/mergecap.pod
@@ -134,7 +134,7 @@
 =head1 SEE ALSO
 
 pcap(3), wireshark(1), tshark(1), dumpcap(1), editcap(1), text2pcap(1),
-pcap-filter(7) or tcpdump(8)
+pcap-filter(5) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/rawshark.pod
+++ doc/rawshark.pod
@@ -546,7 +546,7 @@
 =head1 SEE ALSO
 
 wireshark-filter(4), wireshark(1), tshark(1), editcap(1), pcap(3), dumpcap(1),
-text2pcap(1), pcap-filter(7) or tcpdump(8)
+text2pcap(1), pcap-filter(5) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/text2pcap.pod
+++ doc/text2pcap.pod
@@ -238,7 +238,7 @@
 =head1 SEE ALSO
 
 od(1), pcap(3), wireshark(1), tshark(1), dumpcap(1), mergecap(1),
-editcap(1), strptime(3), pcap-filter(7) or tcpdump(8)
+editcap(1), strptime(3), pcap-filter(5) or tcpdump(1)
 
 =head1 NOTES
 
--- doc/wireshark-filter.pod
+++ doc/wireshark-filter.pod
@@ -414,13 +414,13 @@
 See L<http://developer.gnome.org/glib/2.32/glib-regex-syntax.html/> or L<http://www.pcre.org/> for more information.
 
 This manpage does not describe the capture filter syntax, which is
-different. See the manual page of pcap-filter(7) or, if that doesn't exist,
-tcpdump(8), or, if that doesn't exist, L<http://wiki.wireshark.org/CaptureFilters>
+different. See the manual page of pcap-filter(5) or, if that doesn't exist,
+tcpdump(1), or, if that doesn't exist, L<http://wiki.wireshark.org/CaptureFilters>
 for a description of capture filters.
 
 =head1 SEE ALSO
 
-wireshark(1), tshark(1), editcap(1), pcap(3), pcap-filter(7) or tcpdump(8) if it
+wireshark(1), tshark(1), editcap(1), pcap(3), pcap-filter(5) or tcpdump(1) if it
 doesn't exist.
 
 =head1 AUTHORS
